Bug 1748003 - Epiphany does not render anything when X server is launched by lightdm
Summary: Epiphany does not render anything when X server is launched by lightdm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: webkit2gtk3
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eike Rathke
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Depends On:
Blocks: BetaBlocker, F31BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2019-09-02 12:43 UTC by František Zatloukal
Modified: 2019-09-10 01:21 UTC (History)
20 users (show)

Fixed In Version: webkit2gtk3-2.25.92-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-10 01:21:05 UTC


Attachments (Terms of Use)
Archive containing output files of strace (82.67 KB, application/x-xz)
2019-09-02 15:13 UTC, František Zatloukal
no flags Details


Links
System ID Priority Status Summary Last Updated
WebKit Project 201462 None None None 2019-09-04 17:20:40 UTC

Description František Zatloukal 2019-09-02 12:43:01 UTC
Description of problem:
Epiphany does not render any content at all on RaspberryPi 2 (might also happen on other arm boards, just didn't test anything else yet.)

Version-Release number of selected component (if applicable):
epiphany-3.33.91-1.fc31.armv7hl

How reproducible:
Always

Steps to Reproduce:
1. Open Epiphany on RaspberryPi 2
2. Enter some url to the address bar

Actual results:
Nothing is rendered, page seems to be loading, forever

Expected results:
Web pages should load and render without any issues.

Additional info:
I've tried launching epiphany with LIBGL_ALWAYS_SOFTWARE=1, without any success. Also, nothing weird is printed to stdout or journal.

Testing was done on Fedora-Xfce-armhfp-31-20190831.n.0 .

Comment 1 Fedora Blocker Bugs Application 2019-09-02 12:45:15 UTC
Proposed as a Blocker for 31-beta by Fedora user frantisekz using the blocker tracking app because:

 "It must be possible to run the default web browser and a terminal application from all release-blocking desktop environments."

Comment 2 František Zatloukal 2019-09-02 12:55:57 UTC
After reboot, I've started getting something to stdout. Also, launching with "WEBKIT_DISABLE_COMPOSITING_MODE=1" didn't help.

$ WEBKIT_DISABLE_COMPOSITING_MODE=1 epiphany google.cz
Unable to init server: Could not connect: Connection refused

(WebKitWebProcess:2): Gtk-WARNING **: 08:51:56.033: cannot open display: :0.0
Unable to init server: Could not connect: Connection refused

(WebKitWebProcess:2): Gtk-WARNING **: 08:51:56.466: cannot open display: :0.0

** (epiphany:19753): WARNING **: 08:51:57.139: Web process crashed
Unable to init server: Could not connect: Connection refused

... and this is spammed forever.

Comment 3 Tomas Popela 2019-09-02 13:04:24 UTC
(In reply to František Zatloukal from comment #2)
> After reboot, I've started getting something to stdout. Also, launching with
> "WEBKIT_DISABLE_COMPOSITING_MODE=1" didn't help.
> 
> $ WEBKIT_DISABLE_COMPOSITING_MODE=1 epiphany google.cz
> Unable to init server: Could not connect: Connection refused
> 
> (WebKitWebProcess:2): Gtk-WARNING **: 08:51:56.033: cannot open display: :0.0
> Unable to init server: Could not connect: Connection refused
> 
> (WebKitWebProcess:2): Gtk-WARNING **: 08:51:56.466: cannot open display: :0.0
> 
> ** (epiphany:19753): WARNING **: 08:51:57.139: Web process crashed
> Unable to init server: Could not connect: Connection refused
> 
> ... and this is spammed forever.

Look for the backtrace of the WebKitWebProcess crash in coredumpctl..

Comment 4 Michael Catanzaro 2019-09-02 14:50:31 UTC
Guess: web process sandbox might be blocking X11 connections. We've probably only tested it under Wayland.

Comment 5 František Zatloukal 2019-09-02 15:13:46 UTC
Created attachment 1610806 [details]
Archive containing output files of strace

Comment 6 Paul Whalen 2019-09-03 20:06:51 UTC
This isn't arch specific and reproducible on x86_64 with the xfce spin.

Comment 7 František Zatloukal 2019-09-03 20:12:04 UTC
(In reply to Paul Whalen from comment #6)
> This isn't arch specific and reproducible on x86_64 with the xfce spin.

That's interesting, I've tried it on GNOME (Xorg) on x86_64 where it worked just fine, didn't try Xfce on x86_64 though :/

So, this means it's broken on all (blocking) arm desktops.

Comment 8 Geoffrey Marr 2019-09-03 21:05:50 UTC
Discussed during the 2019-09-03 blocker review meeting: [1]

The decision to delay the classification of this as a blocker bug was made as while this and other bugs frantisekz has encountered on his Raspberry Pi 2 worry us, we'd like to delay the decision on them for a bit while we do more triage with other testers and other systems to determine exactly what's going on.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2019-09-03/f31-blocker-review.2019-09-03-16.01.txt

Comment 9 Michael Catanzaro 2019-09-03 22:14:05 UTC
So... WebKit web process can't connect to X server... but only if you use Xfce? That's a strange one.

Comment 10 Patrick Griffis 2019-09-04 15:46:25 UTC
Can you confirm that Flatpak'd X11 applications work fine? WebKit should be using X11 identically.

Comment 12 Fedora Update System 2019-09-04 23:13:46 UTC
FEDORA-2019-14d9d650ca has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-14d9d650ca

Comment 13 Adam Williamson 2019-09-04 23:40:26 UTC
I'm +1 blocker on this now that we seem to have confirmed it'll affect all installs. Any other votes?

Comment 14 Kalev Lember 2019-09-05 03:09:54 UTC
+1 blocker

Comment 15 Kevin Fenzi 2019-09-05 04:15:55 UTC
+1 blocker

Comment 16 Adam Williamson 2019-09-05 04:31:26 UTC
OK, that's +3. Marking accepted.

Comment 17 Fedora Update System 2019-09-05 05:09:55 UTC
webkit2gtk3-2.25.92-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-14d9d650ca

Comment 18 František Zatloukal 2019-09-05 08:14:00 UTC
webkit2gtk3-2.25.92-2.fc31 fixes the issue. Thanks!

Comment 19 Fedora Update System 2019-09-10 01:21:05 UTC
webkit2gtk3-2.25.92-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.